Bug 830165 - pkg-config (.pc) files are broken
pkg-config (.pc) files are broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mpich2 (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 08:36 EDT by Jaroslav Škarvada
Modified: 2014-02-05 06:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 06:59:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that should correct mpich pkgconfig files (7.53 KB, patch)
2012-09-07 00:03 EDT, Brian Lloyd
no flags Details | Diff

  None (edit)
Description Jaroslav Škarvada 2012-06-08 08:36:29 EDT
Description of problem:
pkg-config (.pc) files are broken

Version-Release number of selected component (if applicable):
mpich2-devel-1.4.1p1-7.fc17.1

How reproducible:
Always

Steps to Reproduce:
1. yum install mpich2-devel
2. pkg-config --libs mpich2-c
  
Actual results:
Duplicate definition of variable 'plib' in '/usr/lib64/pkgconfig/mpich2-c.pc'

Expected results:
-Wl,-z,noexecstack -L/usr/lib64/mpich2/lib -lmpich -lopa -lmpl

Additional info:
Also if expand the probably wrongly expanded conditional in the mpich2-c.pc file by hand, the output is still wrong:
-Wl,-z,noexecstack -L/usr/lib64/mpich2/lib -l -lmpich

If removed the extra -l and tried to compile some mpich2 code, it still doesn't work:
/bin/ld: warning: libopa.so.1, needed by /usr/lib64/mpich2/lib/libmpich.so, not found (try using -rpath or -rpath-link)
/bin/ld: warning: libmpl.so.1, needed by /usr/lib64/mpich2/lib/libmpich.so, not found (try using -rpath or -rpath-link)
/usr/lib64/mpich2/lib/libmpich.so: undefined reference to `MPL_trfree'
/usr/lib64/mpich2/lib/libmpich.so: undefined reference to `MPL_env2str'
/usr/lib64/mpich2/lib/libmpich.so: undefined reference to `MPL_trlevel'
/usr/lib64/mpich2/lib/libmpich.so: undefined reference to `MPL_trvalid'
/usr/lib64/mpich2/lib/libmpich.so: undefined reference to `MPL_trmalloc'
/usr/lib64/mpich2/lib/libmpich.so: undefined reference to `MPL_trspace'
/usr/lib64/mpich2/lib/libmpich.so: undefined reference to `MPL_env2range'
/usr/lib64/mpich2/lib/libmpich.so: undefined reference to `MPL_trcalloc'
/usr/lib64/mpich2/lib/libmpich.so: undefined reference to `MPL_env2int'
/usr/lib64/mpich2/lib/libmpich.so: undefined reference to `MPL_trdump'
/usr/lib64/mpich2/lib/libmpich.so: undefined reference to `MPL_env2bool'
/usr/lib64/mpich2/lib/libmpich.so: undefined reference to `MPL_trstrdup'
/usr/lib64/mpich2/lib/libmpich.so: undefined reference to `MPL_trrealloc'
/usr/lib64/mpich2/lib/libmpich.so: undefined reference to `MPL_TrSetMaxMem'
/usr/lib64/mpich2/lib/libmpich.so: undefined reference to `MPL_trinit'
/usr/lib64/mpich2/lib/libmpich.so: undefined reference to `MPL_trDebugLevel'
/usr/lib64/mpich2/lib/libmpich.so: undefined reference to `MPL_trid'
collect2: error: ld returned 1 exit status

The following line seems to work:
-Wl,-z,noexecstack -L/usr/lib64/mpich2/lib -lmpich -lopa -lmpl
Comment 1 Jaroslav Škarvada 2012-06-08 08:37:26 EDT
All mpich-*.pc seems to be affected.
Comment 2 Brian Lloyd 2012-09-07 00:03:56 EDT
Created attachment 610602 [details]
Patch that should correct mpich pkgconfig files

I manually did the changes to the .pc files that are done by the patch, and it fixed where pkg-config --list-all functions as intended.

However, I could not fully regenerate the configure script from the configure.in as patched because of missing m4 files.

It should go a long way towards making a short term fix until the next mpich2 point release is made.


Patch may be released under the same license as used for the files modified.
Comment 3 Jaroslav Škarvada 2013-05-27 09:50:08 EDT
F19 and rawhide version mpich2-1.5-3 seem unaffected.
Comment 4 Fedora End Of Life 2013-12-21 03:38:04 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 06:59:56 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.